Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.disco
Class DiscoServerItem

    java.lang.Object
      org.jivesoftware.openfire.disco.DiscoItem
          org.jivesoftware.openfire.disco.DiscoServerItem

All Implemented Interfaces:
  org.xmpp.resultsetmanagement.Result

    public class DiscoServerItem

extends DiscoItem

Represent a DiscoItem provided by the server. Therefore, the DiscoServerItems are responsible for providing the DiscoInfoProvider and DiscoItemsProvider that will provide the information and items related to this item.

When the server starts up, IQDiscoItemsHandler will request to all the services that implement the ServerItemsProvider interface for their DiscoServerItems. Each DiscoServerItem will provide its DiscoInfoProvider which will automatically be included in IQDiscoInfoHandler as the provider for this item's JID. Moreover, each DiscoServerItem will also provide its DiscoItemsProvider which will automatically be included in IQDiscoItemsHandler. Special attention must be paid to the JID since all the items with the same host will share the same DiscoInfoProvider or DiscoItemsProvider.

Author:
  Gaston Dombiak

Constructor Summary
`DiscoServerItem(org.xmpp.packet.JID jid, String name, String node, String action, DiscoInfoProvider infoProvider, DiscoItemsProvider itemsProvider)`

Method Summary
`DiscoInfoProvider` | `getDiscoInfoProvider()` Returns the DiscoInfoProvider responsible for providing the information related to this item.
`DiscoItemsProvider` | `getDiscoItemsProvider()` Returns the DiscoItemsProvider responsible for providing the items related to this item.

Methods inherited from class org.jivesoftware.openfire.disco.DiscoItem
`getAction, getElement, getJID, getName, getNode, getUID`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DiscoServerItem

    public DiscoServerItem(org.xmpp.packet.JID jid,
                           String name,
                           String node,
                           String action,
                           DiscoInfoProvider infoProvider,
                           DiscoItemsProvider itemsProvider)

Method Detail

### getDiscoInfoProvider

    public DiscoInfoProvider getDiscoInfoProvider()

  Returns the DiscoInfoProvider responsible for providing the information related to this item. The DiscoInfoProvider will be automatically included in IQDiscoInfoHandler as the provider for this item's JID.

  Returns:
    the DiscoInfoProvider responsible for providing the information related to this item.

### getDiscoItemsProvider

    public DiscoItemsProvider getDiscoItemsProvider()

  Returns the DiscoItemsProvider responsible for providing the items related to this item. The DiscoItemsProvider will be automatically included in IQDiscoItemsHandler as the provider for this item's JID.

  Returns:
    the DiscoItemsProvider responsible for providing the items related to this item.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.